function response_json = fetch_series_page(series_endpoint_url,offset)
% Adapt series_endpoint_url and make API request 

if contains(series_endpoint_url, '?')
    series_page_url = sprintf('%s%soffset=%i', series_endpoint_url, '&', offset);
else
    series_page_url = sprintf('%s%soffset=%i', series_endpoint_url, '?', offset);
end

options = weboptions('ContentType','json');
try
    response_json = webread(series_page_url, options);
catch ME
    error_message = ['Could not fetch data from URL: ' series_page_url ' because: ' ME.identifier];
    error(error_message); 
end

series_page = response_json.series;
if ~isempty(series_page)
    assert(series_page.offset == offset);
end
end
