function series = flatten_editor_series(series, dbnomics_series)
% Adapt Time Series Editor series attributes to ease DataFrame construction.
series = normalize_period(series);
series = normalize_value(series);

series.x_frequency = series.frequency;
series = rmfield(series, 'frequency');
orig_fields = ["provider_code", "dataset_code", "dataset_name"];
for ii = 1:length(orig_fields)
    series.(orig_fields{ii}) = dbnomics_series.(orig_fields{ii});
end

series.series_code = [dbnomics_series.series_code '_filtered'];
if isfield(dbnomics_series, 'series_name')
    series.series_name = [dbnomics_series.series_name, ' (filtered)'];
end
series.filtered = true;
end