function filtered_series_list = iter_filtered_series(series_list, dbnomics_filters, apply_endpoint_url)
editor_apply_endpoint_nb_series_per_post = 100;
opts = weboptions('ContentType','json', 'MediaType','application/json', 'RequestMethod','POST');

if size(series_list, 2) > editor_apply_endpoint_nb_series_per_post
    grouped_series = mat2cell(series_list,1,repmat(editor_apply_endpoint_nb_series_per_post, size(series_list,1), size(series_list,2)));
else
    grouped_series = {series_list};
end

for gg = 1:size(grouped_series, 2)
    series_list = grouped_series{gg};
    posted_series_list = cell(1,size(series_list,2));
    series_fields = ["x_frequency", "period_start_day", "value"];
    posted_series_fields = ["frequency", "period_start_day", "value"];
    for series = 1:size(series_list, 2)
        for ii = 1:length(posted_series_fields)
            posted_series.(posted_series_fields{ii}) = series_list{series}.(series_fields{ii});
        end
        posted_series_list{series} = posted_series;
    end
    
    json_request = sprintf('{"filters":%s,"series":%s}', dbnomics_filters, jsonencode(posted_series_list));
    try
        response = webwrite(apply_endpoint_url, json_request, opts);
    catch
        error("Invalid response from Time Series Editor (JSON expected)");
    end
    
    filtered_series_list = cell(1,size(series_list,2));
    for ii = 1:length(response.filter_results)
        filtered_series = flatten_editor_series(response.filter_results(ii).series, series_list{ii});
        filtered_series_list{ii} = filtered_series;
    end
end
end