function test_fetch_series_by_ids_in_different_datasets()
df = fetch_series('series_ids', ["AMECO/ZUTN/EA19.1.0.0.0.ZUTN", "BIS/cbs/Q.S.5A.4B.F.B.A.A.LC1.A.1C"]);

idx = find(strcmp('provider_code',df(1,:)));
provider_codes = unique(df(2:end,idx));
assert(length(provider_codes)==2);
assert(provider_codes{1} == "AMECO");
assert(provider_codes{2} == "BIS");

idx = find(strcmp('dataset_code',df(1,:)));
dataset_codes = unique(df(2:end,idx));
assert(length(dataset_codes) == 2);
assert(dataset_codes{1} == "ZUTN");
assert(dataset_codes{2} == "cbs");

idx = find(strcmp('series_code',df(1,:)));
series_codes = unique(df(2:end,idx));
assert(length(series_codes) == 2);
assert(series_codes{1} == "EA19.1.0.0.0.ZUTN");
assert(series_codes{2} == "Q.S.5A.4B.F.B.A.A.LC1.A.1C");
end